libstfl-ruby_0.22-1_all.deb


Advertisement

Description

libstfl-ruby - Ruby bindings for the structured terminal forms language/library

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name libstfl-ruby
Package version 0.22
Package release 1
Package architecture all
Package type deb
Installed size 35 B
Download size 6.31 KB
Official Mirror ftp.br.debian.org
stfl is a library which implements a curses-based widget set for text
terminals.
This is a dependency package which depends on Debian's default Ruby version
(currently 1.8.x).

Alternatives

Package Version Architecture Repository
libstfl-ruby_0.22-1_all.deb 0.22 all Debian Main
libstfl-ruby - - -

Requires

Name Value
libstfl-ruby1.8 -

Download

Type URL
Binary Package libstfl-ruby_0.22-1_all.deb
Source Package stfl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libstfl-ruby deb package:
    # sudo apt-get install libstfl-ruby

Files

Path
/usr/share/doc/libstfl-ruby/changelog.Debian.gz
/usr/share/doc/libstfl-ruby/copyright

Changelog

2011-10-25 - Nico Golde <nion@debian.org>
stfl (0.22-1) unstable; urgency=low
* New upstream version:
- Fix widget overflows if multi-column characters are entered
(Closes: #603276).
- Fix that richtext is not multi-column caracters aware
(Closes: #603334).
- Fix that stfl_modify takes long time if a form has many widgets
(Closes: #604770).
* libstfl-dev: add missing strict dependency on libstfl0 (Closes: #646199).
* libstfl0: do not depend on libncursesw5-dev (Closes: #646201).
- Thanks Sven Joachim for both, this should've been noticed way earlier.
* Convert package to dh_python2 (Closes: #617072).
* Bump standards version, no changes needed.
* Add ${misc:Depends} to binary packages where it was missing.
* Switch to dpkg-source 3.0 (quilt) format.
* Bump minor version in symbol files and link file.
2010-01-19 - Nico Golde <nion@debian.org>
stfl (0.21-2) unstable; urgency=low
* Adapt package to build with ruby 1.9.1 rather than 1.9 (Closes: #565844).
2009-09-22 - Nico Golde <nion@debian.org>
stfl (0.21-1) unstable; urgency=low
* New upstream release
- allows overwriting key values for page up/down (Closes: #479650).
- introduce libstfl0 as upstream builds a shared library now.
- Added libstfl0.symbols.
* debian/rules:
- use py_sitename macro to copy all python modules in to the right path.
- include /usr/share/python/python.mk (needed to build with Python 2.6).
- additionally adjust debian/python-stfl.install to install all python
modules into /usr/lib/pythonX.Y/*-packages.
Thanks Alessio Treglia (Closes: #528715).
* Bump policy version, no changes needed.
* Fix duplicate short descriptions.
* Remove Michael Mende from uploaders as it seems he is not interested
in this package anymore. Thanks a lot for your previous work!
2009-05-12 - Nico Golde <nion@debian.org>
stfl (0.20-2) unstable; urgency=low
* Add pkg config file to -dev package (Closes: #528394)
2009-04-27 - Nico Golde <nion@debian.org>
stfl (0.20-1) unstable; urgency=low
* New upstream release.
* Bump policy version, no changes needed.
* We have a ruby section now, changed section fields for
ruby related packages.
* Adjust copyright years.
* Remove section for libstfl-dev as this is inherited from the
source package.
2009-04-27 - Nico Golde <nion@debian.org>
stfl (0.19-1) unstable; urgency=low
* New upstream release.
* Bump policy version to 3.8.0, no changes needed.
* Bump debhelper compat level.
* Fix spelling error in python-stfl description (python->Python).
2008-05-01 - Nico Golde <nion@debian.org>
stfl (0.18-3) unstable; urgency=low
* Apply patch by Kusanagi Kouichi to prevent a segfault
if the root widget was replaced (Closes: #476256).
* Bump compat level to 6 as it is the default now.
* Fix spelling-error-in-description python Python by writing
python in lowercase letters in the description.
2008-01-02 - Nico Golde <nion@debian.org>
stfl (0.18-2) unstable; urgency=low
* Change ruby library path for ruby1.9 as it changed with the upload
of ruby 1.9.0.0-1 (Closes: #458714).
* Bumped Standards version, no changes needed.
2007-11-12 - Nico Golde <nion@debian.org>
stfl (0.18-1) unstable; urgency=low
* New upstream release.
* Switched from the Xs-Vcs fields to Vcs- since they are now
supported by dpkg and from old Homepage tag to the new Homepage
control field.
2007-09-04 - Nico Golde <nion@debian.org>
stfl (0.17-1) unstable; urgency=low
* New upstream release.
- pthread related fixes for stfl_quote (Closes: #439644).

See Also

Package Description
libstfl-spl_0.22-1+b1_i386.deb SPL bindings for the structured terminal forms language/library
libstfl0_0.22-1+b1_i386.deb structured terminal forms language/library
libstk0-dev_4.4.3-2+deb7u1_i386.deb Sound Synthesis Toolkit (development files)
libstk0c2a_4.4.3-2+deb7u1_i386.deb Sound Synthesis Toolkit
libstlport4.6-dev_4.6.2-7_i386.deb STLport C++ class library
libstlport4.6ldbl_4.6.2-7_i386.deb STLport C++ class library
libstomp-ruby-doc_1.2.2-2_all.deb Transitional package for ruby-stomp
libstomp-ruby1.8_1.2.2-2_all.deb Transitional package for ruby-stomp
libstomp-ruby1.9.1_1.2.2-2_all.deb Transitional package for ruby-stomp
libstomp-ruby_1.2.2-2_all.deb Transitional package for ruby-stomp
libstonith1-dev_1.0.9+hg2665-1_i386.deb Reusable cluster development files -- libstonith1
libstonith1_1.0.9+hg2665-1_i386.deb Reusable cluster libraries -- libstonith1
libstonithd1-dev_1.1.7-1_i386.deb Development file for pacemaker's stonith library
libstonithd1_1.1.7-1_i386.deb Pacemaker libraries - stonith
libstreamanalyzer-dev_0.7.7-3_i386.deb development files for libstreamanalyzer
Advertisement
Advertisement